org.eclipse.incquery.runtime.internal.boundary.unused

## Class EClassUnaryInputNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode
    - - org.eclipse.incquery.runtime.internal.boundary.unused.EClassUnaryInputNode

- All Implemented Interfaces:
    Disconnectable, Node, Supplier

      public class EClassUnaryInputNode
      extends StandardNode
      implements Disconnectable

  Input node relying on the NavigationUtil base index. Represents the set of (direct or indirect) instances of a given `EClass`.
  Author:
    Bergmann Gábor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EClassUnaryInputNode(ReteEngine engine, ReteContainer reteContainer, org.eclipse.emf.ecore.EClass clazz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectionIndexer` | `constructIndex(TupleMask mask, TraceInfo... traces)` Instantiates (or reuses, depending on implementation) an index according to the given mask.
    `void` | `disconnect()` Disconnects this rete engine component from the underlying model.
    `IdentityIndexer` | `getIdentityIndexer()`
    `NullIndexer` | `getNullIndexer()`
    `void` | `pullInto(java.util.Collection<Tuple> collector)` pulls the contents of this object in this particular moment into a target collection

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.StandardNode

      `appendChild, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### EClassUnaryInputNode

          public EClassUnaryInputNode(ReteEngine engine,
                                      ReteContainer reteContainer,
                                      org.eclipse.emf.ecore.EClass clazz)

  - ### Method Detail

    - #### pullInto

          public void pullInto(java.util.Collection<Tuple> collector)

      Description copied from interface: `Supplier`
      pulls the contents of this object in this particular moment into a target collection
      Specified by:
        `pullInto` in interface `Supplier`

    - #### disconnect

          public void disconnect()

      Description copied from interface: `Disconnectable`
      Disconnects this rete engine component from the underlying model. Disconnecting enables the garbage collection mechanisms to dispose of the rete network.
      Specified by:
        `disconnect` in interface `Disconnectable`

    - #### constructIndex

          public ProjectionIndexer constructIndex(TupleMask mask,
                                                  TraceInfo... traces)

      Description copied from interface: `Supplier`
      Instantiates (or reuses, depending on implementation) an index according to the given mask. Intended for internal use; clients should invoke through Library instead to enable reusing.
      Specified by:
        `constructIndex` in interface `Supplier`
      Overrides:
        `constructIndex` in class `StandardNode`

    - #### getNullIndexer

          public NullIndexer getNullIndexer()

      Returns:
        the nullIndexer

    - #### getIdentityIndexer

          public IdentityIndexer getIdentityIndexer()

      Returns:
        the identityIndexer